import request from '@/utils/request'

// 查询A级权力分类列表
export function listCatagory(query) {
  return request({
    url: '/aleave/catagory/list',
    method: 'get',
    params: query
  })
}

// 查询A级权力分类详细
export function getCatagory(id) {
  return request({
    url: '/aleave/catagory/' + id,
    method: 'get'
  })
}

// 新增A级权力分类
export function addCatagory(data) {
  return request({
    url: '/aleave/catagory',
    method: 'post',
    data: data
  })
}

// 修改A级权力分类
export function updateCatagory(data) {
  return request({
    url: '/aleave/catagory',
    method: 'put',
    data: data
  })
}

// 删除A级权力分类
export function delCatagory(id) {
  return request({
    url: '/aleave/catagory/' + id,
    method: 'delete'
  })
}
